// globale variablen
var wbmVersion="1.9";
var connection;
var authtoken;
var ws_user;
var ws_pass;
var cur_site;
var reboot_in_progress = 0;
var saveCallback;
var csTargetDeviceName = "";

var lang = navigator.language || navigator.userLanguage; 
if (lang.includes('de'))
{
	lang = "de";
}
else
{
  lang="en"; // current language
}
//var lang="en"; // current language
   // translation data
   var langData = {
       de: {
           GERMAN: "Deutsch",
           ENGLISH: "Englisch",
           NETWORKING: "Netzwerk",
           SERVICES: "Dienste",
           CLOCK: "Datum / Uhrzeit",
           NW1: "Netzwerk 1",
           NW2: "Netzwerk 2",
           ORDER_NUMBER: "Artikelnummer",
           ARTICLE: "Artikelbezeichnung",
           SERIAL_NUMBER: "Seriennummer",
           REVISION_INDEX: "Änderungsstand",
           SW_VERSION: "Software Versionsnummer",
           MAC_ADR: "MAC Adresse",
           IP_ADR: "IP Adresse",
           SUB_MASK: "Subnetzmaske",
           USER_LOGIN: "Benutzer Login",
           USER_NAME: "Benutzername:",
           USER_PASS: "Passwort:",
           BTN_APPLY: "Übernehmen",
           CHANGES_IMMEDIATELY: "Änderungen werden sofort wirksam.",
           CHANGES_REBOOT: "Änderungen werden erst nach einem Neustart wirksam.",
           BTN_SHOW: "Anzeigen",
           REBOOT: "Geräteneustart",
           VISU_SHOW: "Webvisualisierung",
           TIME_ZONE: "Zeitzone",
           DATE_TIME: "Datum / Zeit",
           CLOCK_DATE: "Datum",
           CLOCK_TIME: "Zeit",
           APP: "Applikation",
           STATUS: "Aktiv",
           TVERSION: "Zielsystem Version",
           TNAME: "Zielsystem Name",
           MEM: "Speicher [kb]",
           MEM_TOTAL: "RAM gesamt",
           MEM_AVAIL: "RAM verfügbar",
           FLASH_TOTAL: "DISK gesamt",
           FLASH_AVAIL: "DISK verfügbar",
           CHANGES_REBOOTTZ: "Eine Änderungen der Zeitzone wird erst nach einem Neustart wirksam.",
           USER_MGR: "Benutzerverwaltung",
           USER: "Benutzer",
           CH_PASSWD: "Passwort ändern",
           OLD_PASSWD: "Altes Passwort",
           NEW_PASSWD: "Passwort",
           CF_PASSWD: "Passwort bestätigen",
           LOGGED_IN_AS: "Eingeloggt als",
           CONN_LOST: "Login erforderlich.",
           VER: "Versionen",
           HTTP_PORT: "HTTP Port",
           HTTPS_PORT: "HTTPS Port",
           WEBSERVER_CONN_TYPE: "Webserver Verbindungsart",
           GROUPMEMBERS: "Gruppenmitglieder",
           GROUP: "Gruppe", 
           GROUPS: "Gruppen", 
           ADD: "Hinzufügen",
           DEL: "Löschen",
           ADD_USER: "Benutzer hinzufügen",
           DEL_USER: "Benutzer löschen",
           DEVICE_TEMP: "Gerätetemperatur [°C] ",
           CLOSE: "Schließen",
           CANCEL: "Abbrechen",
           REMOVABLES: "Externe Speicher",
           MYSQL_EXTERN: "MySQL extern",
		   LANGUAGE: "Sprache",
		   QLB: "Schnellstartleiste",
		   WBM: "WBM",
		   PlcList:"URL Liste",
		   DisplayCleaning:"Bildschirmreinigung",
		   FONTS:"Zusätzliche Schriftarten",
		   FONTS_SUBST:"Schriftartersetzung",
		   BTN_INSTALL:"Installieren ...",
		   BTN_UNINSTALL:"Deinstallieren",
		   BTN_SUBSTREMOVE:"Löschen",
		   BTN_SUBSTADD:"Hinzufügen",
		   CHANGES_REBOOLANG:"Eine Änderungen der Sprache wird erst nach einem Neustart wirksam.",
		   CHANGES_REBOOFONTSUBST:"Eine Schriftartersetzung wird erst nach einem Neustart wirksam.",
		   DISPLAY:"Display",
		   RESOLUTION:"Auflösung",
		   DISPLAYORIENTATION:"Ausrichtung",
		   DISP_O_NORMAL_UR:"Querformat (0°)",
		   DISP_O_RIGHT_UP_CW:"Porträt (90°)",
		   DISP_O_BOTTOM_UP_UD:"Querformat (180°)",
		   DISP_O_LEFT_UP_CCW:"Porträt (270°)",
		   DISPLAY_BRIGHTNESS:"Helligkeit",
		   DISP_O_UNKNOWN:"Unbekannt",
		   DISPLAY_CLEANTIME:"Zeit für Bildschirmreinigung",
		   TIMETOCLEAN_UNIT:"Sekunden",
		   SCREENSAVER:"Bildschirmschoner",
		   SS_TIME:"Wartezeit",
		   SS_TIME_UNIT:"Minuten",
		   SS_THEME:"Thema",
		   SS_THEME_IMAGE:"Bild",
		   SS_THEME_TIME:"Zeit",
		   SS_THEME_TEXT:"Text",
		   BTN_START_SS:"Start Bildschirmschoner",
		   BROWSER:"Browser",
		   BRW_TAB:"Tabs",
		   BRW_ADDR:"Adressleiste",
		   BRW_FAV:"Favoritenleiste",
		   BRW_ZOOM:"Zoombar",
		   BRW_URLS:"URL-Liste",
		   BTN_REMOVEURL:"Löschen",
		   BTN_ADDURL:"Hinzufügen",
		   ID_WBM:"WBM",
		   ID_PLCLIST:"URL Liste",
		   ID_DISPLAYCLEANING:"Bildschirmreinigung",
		   ID_BACK:"Zurück",
		   SYS_FONT_TO_REPLACE:"Schriftart zum ersetzen",
		   CHANGES_QLBM:"Eine Änderung der Schnellstartleiste wird erst nach einem Neustart wirksam.",
		   CHANGES_BRW:"Eine Änderung der Browsereinstellungen wird erst nach einem Neustart wirksam.",
		   SS_THEME_BACKLIGHT:"Hintergrundbeleuchtung",
		   CHANGES_REBOOT_SS:"Eine Änderung der Bildschirmschonereinstellungen wird erst nach einem Neustart wirksam.",
		   DISPLAY_STARTCOUNTDOWN:"Start nach ",
		   BRW_SECURITY:"Sicherheit",
		   BRW_SECURITY_LOW:"niedrig",
		   BRW_SECURITY_HIGH:"hoch",
		   STATE:"Status",
		   DEVICE_HOURS:"Betriebsstundenzähler",
		   DEVICE_REBOOTCOUNTER: "Reboot Counter",
         USE_VNC_PASSWD:"Verwende Passwort",
		   LICENSES:"Rechtsinformation",
		   OPENSOURCE_LICENSES:"Open Source Lizenzen",
		   ELREST_LICENSES:"elrest Lizenz",
		   SHOW_MORE:"mehr ...",
		   ID_RELOAD:"Neu laden",
		   ID_CLEARCACHE:"Cache leeren"
       },
       en: {
           GERMAN: "German",
           ENGLISH: "English",
           NETWORKING: "Networking",
           SERVICES: "Services",
           CLOCK: "Date / Time",
           NW1: "Network 1",
           NW2: "Network 2",
           ORDER_NUMBER: "Item number",
           ARTICLE: "Item",
           SERIAL_NUMBER: "Serial number",
           REVISION_INDEX: "Revision index",
           SW_VERSION: "Software version",
           MAC_ADR: "MAC address",
           IP_ADR: "IP address",
           SUB_MASK: "Subnet mask",
           USER_LOGIN: "User Login",
           USER_NAME: "Username:",
           USER_PASS: "Password:",
           BTN_APPLY: "Apply",
           CHANGES_IMMEDIATELY: "Changes take effect immediately.",
           CHANGES_REBOOT: "Reboot is required to take effect.",
           BTN_SHOW: "Show",
           REBOOT: "Reboot device",
           VISU_SHOW: "Webvisualization",           
           TIME_ZONE: "Timezone",
           DATE_TIME: "Date / Time",
           CLOCK_DATE: "Date",
           CLOCK_TIME: "Time",
           APP: "Application",
           STATUS: "Enable",
           TVERSION: "Target version",
           TNAME: "Target name",
           MEM: "Memory [kb]",
           MEM_TOTAL: "RAM total",
           MEM_AVAIL: "RAM available",
           FLASH_TOTAL: "DISK total",
           FLASH_AVAIL: "DISK available",
           CHANGES_REBOOTTZ: "A change of the timezone will be effectiv only after a reboot.",
           USER_MGR: "User management",
           USER: "User",
           CH_PASSWD: "Change password",
           OLD_PASSWD: "Old password",
           NEW_PASSWD: "Password",
           CF_PASSWD: "Confirm password",
           LOGGED_IN_AS: "Logged in as",
           CONN_LOST: "Login required.",
           VER: "Versions",
           HTTP_PORT: "HTTP port",
           HTTPS_PORT: "HTTPS port",
           WEBSERVER_CONN_TYPE: "Webserver connection type",
           GROUPMEMBERS: "Group members",
           GROUP: "Group",
           GROUPS: "Groups", 
           ADD: "Add",
           DEL: "Delete",
           ADD_USER: "Add user",
           DEL_USER: "Remove user",
           DEVICE_TEMP: "Device temperature [°C] ",
           CLOSE: "Close",
           CANCEL: "Cancel",
           REMOVABLES: "External memory",
           MYSQL_EXTERN: "MySQL external",
		   LANGUAGE: "Language",
		   QLB: "Quick Launch bar",
		   WBM: "WBM",
		   PlcList:"URL List",
		   DisplayCleaning:"Display cleaning",
		   FONTS:"Additional Fonts",
		   FONTS_SUBST:"Font subtsitution",
		   BTN_INSTALL:"Install ...",
		   BTN_UNINSTALL:"Uninstall",
		   BTN_SUBSTREMOVE:"Remove",
		   BTN_SUBSTADD:"Add",
		   CHANGES_REBOOLANG:"A change of the language will be effectiv only after a reboot.",
		   CHANGES_REBOOFONTSUBST:"A change of the fonts substition will be effectiv only after a reboot.",
		   DISPLAY:"Display",
		   RESOLUTION:"Resolution",
		   DISPLAYORIENTATION:"Orientation",
		   DISP_O_NORMAL_UR:"Landscape (0°)",
		   DISP_O_RIGHT_UP_CW:"Portrait (90°)",
		   DISP_O_BOTTOM_UP_UD:"Landscape (180°)",
		   DISP_O_LEFT_UP_CCW:"Portrait (270°)",
		   DISPLAY_BRIGHTNESS:"Brightness",
		   DISP_O_UNKNOWN:"Unknown",
		   DISPLAY_CLEANTIME:"Time to clean the display",
		   TIMETOCLEAN_UNIT:"Seconds",
		   SCREENSAVER:"Screensaver",
		   SS_TIME:"Wait time",
		   SS_TIME_UNIT:"Minutes",
		   SS_THEME:"Theme",
		   SS_THEME_IMAGE:"Image",
		   SS_THEME_TIME:"Time",
		   SS_THEME_TEXT:"Text",
		   BTN_START_SS:"Start Screensaver",
		   BROWSER:"Browser",
		   BRW_TAB:"Tabable",
		   BRW_ADDR:"Address bar",
		   BRW_FAV:"Favorites bar",
		   BRW_ZOOM:"Zoomable",
		   BRW_URLS:"URL List",
		   BTN_REMOVEURL:"Remove",
		   BTN_ADDURL:"Add",
		   ID_WBM:"WBM",
		   ID_PLCLIST:"URL List",
		   ID_DISPLAYCLEANING:"Display cleaning",
		   ID_BACK:"Back",
		   SYS_FONT_TO_REPLACE:"Font to replace",
		   CHANGES_QLBM:"A change of the quickstart menues will be effectiv only after a reboot.",
		   CHANGES_BRW:"A change of browser settings will be effectiv only after a reboot.",
		   SS_THEME_BACKLIGHT:"Backlight",
		   CHANGES_REBOOT_SS:"A change of the screen saver settings will be effectiv only after a reboot..",
		   DISPLAY_STARTCOUNTDOWN:"Start after ",
		   BRW_SECURITY:"Security",
		   BRW_SECURITY_LOW:"low",
		   BRW_SECURITY_HIGH:"high",
		   STATE:"State",
		   DEVICE_HOURS:"Operating hours",
		   DEVICE_REBOOTCOUNTER: "Reboot counter",
           USE_VNC_PASSWD:"Use password",
		   LICENSES:"Legal Information",
		   OPENSOURCE_LICENSES:"Open Source Licenses",
		   ELREST_LICENSES:"elrest License",
		   SHOW_MORE:"more ...",
		   ID_RELOAD:"Reload",
		   ID_CLEARCACHE:"Clear cache"

       }
   };
// First, checks if it isn't implemented yet.
	if (!String.prototype.format) {
	  String.prototype.format = function() {
		var args = arguments;
		return this.replace(/{(\d+)}/g, function(match, number) { 
		  return typeof args[number] != 'undefined'
			? args[number]
			: match
		  ;
		});
	  };
	}
   
   function setInfoText() {
      if (cur_site === "info")
      {
         $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Information &nbsp;'); 
      }
      else if (cur_site === "net")
      {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Netzwerk &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Network &nbsp;'); 
        }
      }
      else if (cur_site === "sys")
      {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Datum / Zeit &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Date / Time &nbsp;'); 
        }
      }
      else if (cur_site === "cs")
      {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Applikation  &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Application &nbsp;'); 
        }
      }
      else if (cur_site === "usr")
      {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Benutzerverwaltung &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - User management &nbsp;'); 
        }
      }
      else if (cur_site === "services")
      {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - System &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - System &nbsp;'); 
        }
      }
	   else if (cur_site === "display")
	  {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Display &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Display &nbsp;'); 
        }
      }
	  else if (cur_site === "browser")
	  {
        if (lang === "de")
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Browser &nbsp;'); 
        }
        else
        {
          $('#page_info').html('&nbsp;&nbsp; '+csTargetDeviceName+' WBM - Browser &nbsp;'); 
        }
      }
      
   };

   // returns the translation for the given language key (depending on the current language)
   function translate(key) {
      if (langData.hasOwnProperty(lang)) {
          if (langData[lang].hasOwnProperty(key)) {
              return langData[lang][key];
          } else {
              console.log("Unknown language key: " + key);
              return "Undefined";
          }
      } else {
          console.log("Unknown language: " + lang);
          return "Undefined";
      }
   };  
 
   // translate all multi-lingual DOM elements
   function translateView() {
      setInfoText();
      $(".lang").each(function() {
          var key = $(this).attr("data-lang");
   
          $(this).text(translate(key));
      });      
   };
  
   function showMessage(msg_id, arg1, arg2) {
	  var msg_str = 'unknown id';
     
     if (msg_id == "MSG_LOGIN_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Login fehlgeschlagen";
       }
       else
       {
         msg_str = "Login failed";
       }
     }
     else if (msg_id == "MSG_NO_WEBSOCKET")
     {
       if (lang === "de")
       {
         msg_str = "Keine Websocket Verbindung verfügbar.";
       }
       else
       {
         msg_str = "No websocket connection available.";
       }       
     }
     else if (msg_id == "MSG_INVALID_FILTER")
     {
       if (lang === "de")
       {
         msg_str = "Kein gültiger Filter!";
       }
       else
       {
         msg_str = "No valid filter!";
       }       
     }
     else if (msg_id == "MSG_INVALID_PORT")
     {
       if (lang === "de")
       {
         msg_str = "Port ungültig oder belegt!";
       }
       else
       {
         msg_str = "Port not valid or occupied!";
       }       
     }
     else if (msg_id == "MSG_INVALID_PATH")
     {
       if (lang === "de")
       {
         msg_str = "Kein gültiger Pfad!";
       }
       else
       {
         msg_str = "No valid path!";
       }       
     }     
     else if (msg_id == "MSG_INVALID_IP")
     {
       if (lang === "de")
       {
         msg_str = "Keine gültige IP Adresse!";
       }
       else
       {
         msg_str = "No valid IP address!";
       }       
     }
     else if (msg_id == "MSG_INVALID_NETMASK")
     {
       if (lang === "de")
       {
         msg_str = "Keine gültige Netzwerkmaske!";
       }
       else
       {
         msg_str = "No valid netmask!";
       }       
     }
     else if (msg_id == "MSG_INVALID_DNS1")
     {
       if (lang === "de")
       {
         msg_str = "Keine gültiger DNS Server 1!";
       }
       else
       {
         msg_str = "No valid DNS Server 1!";
       }       
     }
     else if (msg_id == "MSG_INVALID_DNS2")
     {
       if (lang === "de")
       {
         msg_str = "Keine gültiger DNS Server 2!";
       }
       else
       {
         msg_str = "No valid DNS Server 2!";
       }       
     }
     else if (msg_id == "MSG_INVALID_GATE")
     {
       if (lang === "de")
       {
         msg_str = "Kein gültiges Gateway!";
       }
       else
       {
         msg_str = "No valid gateway!";
       }       
     }
     else if (msg_id == "MSG_PW_EMPTY")
     {
       if (lang === "de")
       {
         msg_str = "Leeres Passwort ist ungültig!";
       }
       else
       {
         msg_str = "Empty password is not valid!";
       }       
     }
	  else if (msg_id == "MSG_PW_LENGTH")
     {
       if (lang === "de")
       {
         msg_str = "Das Passwort muss mindestens aus 6 Zeichen bestehen!";
       }
       else
       {
         msg_str = "Password must be at least 6 characters!";
       }       
     }
     else if (msg_id == "MSG_USERNAME_EMPTY")
     {
       if (lang === "de")
       {
         msg_str = "Benutzername ist ungültig!";
       }
       else
       {
         msg_str = "User name is not valid!";
       }       
     }
     else if (msg_id == "MSG_PW_DIFFER")
     {
       if (lang === "de")
       {
         msg_str = "Die Passwörter sind unterschiedlich.";
       }
       else
       {
         msg_str = "New passwort and confirmed password are not equal.";
       }       
     }
     else if (msg_id == "MSG_PW_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Die Passwortänderung ist fehlgeschlagen.";
       }
       else
       {
         msg_str = "Changing password failed.";
       }       
     }
     else if (msg_id == "MSG_PW_INVALID")
     {
       if (lang === "de")
       {
         msg_str = "Ihr Passwort enthält ungültige Zeichen.";
       }
       else
       {
         msg_str = "Your password contains invalid characters.";
       }       
     }
     else if (msg_id == "MSG_PW_SUCCESS")
     {
       if (lang === "de")
       {
         msg_str = "Das Passwort wurde erfolgreich geändert.";
       }
       else
       {
         msg_str = "Password changed successfully.";
       }       
     }
     else if (msg_id == "MSG_INVALID_WATCHDOGTIME")
     {
       if (lang === "de")
       {
         msg_str = "Ungültiger Watchdog Timeout.";
       }
       else
       {
         msg_str = "Invalid Watchdog Timeout.";
       }       
     }
     else if (msg_id == "MSG_INVALID_WATCHDOGTIME_OUTOFRANGE")
     {
       if (lang === "de")
       {
         msg_str = "Watchdog Timeout außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
       }
       else
       {
         msg_str = "Watchdog Timeout  out of range [{0}, {1}].".format(arg1, arg2);
       }       
     }
	 else if(msg_id=="MSG_INVALID_STARTCOUNTDOWN")
	 {
		 if(lang==="de")
			 msg_str = "Ungültiger 'Start nach'.";
		 else
			 msg_str = "Invalid 'Start after'.";
	 }
	 else if(msg_id=="MSG_INVALID_STARTCOUNTDOWN_OUTOFRANGE")
	 {
		 if(lang==="de")
			 msg_str = "'Start nach' außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
		 else
			 msg_str =  "'Start after' Timeout  out of range [{0}, {1}].".format(arg1, arg2);
	 }
	 else if(msg_id=="MSG_INVALID_CLEANTIME")
	 {
		 if(lang==="de")
			 msg_str = "Ungültiger 'Zeit für Bildschirmreinigung'.";
		 else
			 msg_str = "Invalid 'Time to clean the display'.";
	 }
	 else if(msg_id=="MSG_INVALID_CLEANTIME_OUTOFRANGE")
	 {
		 if(lang==="de")
			 msg_str = "'Zeit für Bildschirmreinigung' außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
		 else
			 msg_str =  "'Time to clean the display' out of range [{0}, {1}].".format(arg1, arg2);
	 }
	 else if(msg_id=="MSG_INVALID_SSTIME")
	 {
		 if(lang==="de")
			 msg_str = "Ungültiger Wartezeit.";
		 else
			 msg_str = "Invalid Wait time.";
	 }
	 else if(msg_id=="MSG_INVALID_SSTIME_OUTOFRANGE")
	 {
		 if(lang==="de")
			 msg_str = "Wartezeit außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
		 else
			 msg_str =  "Wait time out of range [{0}, {1}].".format(arg1, arg2);
	 }
	  else if(msg_id=="MSG_INVALID_CS_HTTPPORT")
	 {
		 if(lang==="de")
			 msg_str = "Ungültiger HTTP Port.";
		 else
			 msg_str = "Invalid HTTP Port.";
	 }
	 else if(msg_id=="MSG_INVALID_CS_HTTPPORT_OUTOFRANGE")
	 {
		 if(lang==="de")
			 msg_str = "HTTP Port außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
		 else
			 msg_str =  "HTTP Port out of range [{0}, {1}].".format(arg1, arg2);
	 }
	 else if(msg_id=="MSG_INVALID_CS_HTTPSPORT")
	 {
		 if(lang==="de")
			 msg_str = "Ungültiger HTTPS Port.";
		 else
			 msg_str = "Invalid HTTPS Port.";
	 }
	 else if(msg_id=="MSG_INVALID_CS_HTTPSPORT_OUTOFRANGE")
	 {
		 if(lang==="de")
			 msg_str = "HTTPS Port außerhalb des Bereichs [{0}, {1}].".format(arg1, arg2);
		 else
			 msg_str =  "HTTPS Port out of range [{0}, {1}].".format(arg1, arg2);
	 }
     else if (msg_id == "MSG_DELUSER_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Der Benutzer konnte nicht gelöscht werden.";
       }
       else
       {
         msg_str = "User could not be deleted.";
       }       
     }
     else if (msg_id == "MSG_CREATEUSER_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Der Benutzer konnte nicht angelegt werden.";
       }
       else
       {
         msg_str = "User could not be created.";
       }       
     }
     else if (msg_id == "MSG_UNMOUNT_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Das Verzeichnis konnte nicht ausgehängt werden.";
       }
       else
       {
         msg_str = "Directory could not be unmounted.";
       }       
     }
     else if (msg_id == "MSG_NET_FAILED")
     {
       if (lang === "de")
       {
         msg_str = "Die Netzwerkeinstellungen konnten nicht geändert werden.";
       }
       else
       {
         msg_str = "Network settings could not be changed.";
       }       
     }
	 else if (msg_id == "ERR_MAX_URLS")
	 {
		if (lang === "de")
		{
			msg_str = "Es sind max. 10 URLs erlaubt.";
		}
		else
		{
			msg_str = "Max. 10 URLs are allowed.";
		}
	 }
	 else if (msg_id == "ERR_URLTEXT_EMPTY")
	 {
		if (lang === "de")
		{
			msg_str = "Bitte gib ein URL-Name ein.";
		}
		else
		{
			msg_str = "Please enter an URL-Name.";
		}
	 }
     else if (msg_id == "ERR_URL_EMPTY")
	 {
		if (lang === "de")
		{
			msg_str = "Bitte gib ein URL ein.";
		}
		else
		{
			msg_str = "Please enter an URL.";
		}
	 }
     else if (msg_id == "ERR_URL_LENGTH")
	 {
		if (lang === "de")
		{
			msg_str = "Max. 254 Zeichnen insgesamt (Name+URL) sind erlaubt.";
		}
		else
		{
			msg_str = "Max. 254 characters(Name+URL together) are allowed.";
		}
	 }
	 else if(msg_id=="LICENSE_MYSQL_SERVER")
     {
		 if(lang==="de")
		 {
			 msg_str = "Auf dem Gerät ist eine ‚Community Edition‘ der MySQL-Server enthalten! Zur Nutzung in einer kommerziellen Anwendung muss eine entsprechende Lizenz erworben werden.";
		 }
		 else
		 {
			 msg_str = "On the device there is a ‚Community Edition‘ of the MySQL-Server! To use it in a comercial software, you need a license!";
		 }
	 }
       	 else if(msg_id=="MSG_LICENSES_TOOBIG")
	 {
	         if(lang==="de")
		 {
			 msg_str = "Die Lizenzinformationen zu allen verwendeten Opensource Komponenten sind sehr umfangreich. Sie können diese anzeigen indem Sie das WBM auf einem PC öffnen.";
		 }
		 else
		 {
			 msg_str = "The license information for all open source components used is very extensive. You can view this information by opening the WBM on a PC.";
		 }
	 }

     //alert(msg_str);
     //$('#dlgAlertLabel').text(msg_str);
     
     $('#dlgAlertLabel').text('Information');    
     $('#alarmtext').text(msg_str);     
     
     //$('#dlgAlert').modal();     


     $("#dlgAlert").modal({
      backdrop: 'static'
     });


   }; 


function confirmMessage(msg_str, callback) {
  saveCallback = callback;
  $('#confirmtext').text(msg_str);       
  //$('#dlgConfirm').modal();
  
  $("#dlgConfirm").modal({
      backdrop: 'static'
     });

} 

function Exists(myObject) {
  if (typeof myObject == 'undefined')
    return false;
  else
    return true;
}
